{
  "name": "topsun-baoshen-pc",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@originjs/vite-plugin-commonjs": "^1.0.3",
    "axios": "^1.6.1",
    "element-plus": "^2.10.1",
    "exceljs": "^4.4.0",
    "file-saver": "^2.0.5",
    "highlight.js": "^11.10.0",
    "json-editor-vue3": "^1.1.1",
    "loadsh": "^0.0.4",
    "luckyexcel": "^1.0.1",
    "marked": "^14.1.3",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "sass": "^1.69.5",
    "vue": "^3.3.4",
    "vue-router": "^4.2.5",
    "vxe-table": "^4.5.13",
    "xe-utils": "^3.5.14",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.3.3",
    "@tsconfig/node18": "^18.2.2",
    "@types/file-saver": "^2.0.7",
    "@types/node": "^18.18.5",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/tsconfig": "^0.4.0",
    "autoprefixer": "^10.4.16",
    "eslint": "^8.49.0",
    "eslint-plugin-vue": "^9.17.0",
    "npm-run-all2": "^6.1.1",
    "postcss": "^8.4.31",
    "prettier": "^3.0.3",
    "tailwindcss": "^3.3.5",
    "typescript": "~5.2.0",
    "vite": "^4.4.11",
    "vue-tsc": "^1.8.19"
  }
}
